net.minecraftforge.common

## Class ISpecialArmor.ArmorProperties

- java.lang.Object
- - net.minecraftforge.common.ISpecialArmor.ArmorProperties

- All Implemented Interfaces:
    java.lang.Comparable<ISpecialArmor.ArmorProperties>
  Enclosing interface:
    ISpecialArmor

      public static class ISpecialArmor.ArmorProperties
      extends java.lang.Object
      implements java.lang.Comparable<ISpecialArmor.ArmorProperties>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `AbsorbMax`
    `double` | `AbsorbRatio`
    `int` | `Priority`
    `int` | `Slot`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ISpecialArmor.ArmorProperties(int priority, double ratio, int max)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static float` | `ApplyArmor(EntityLivingBase entity, ItemStack[] inventory, DamageSource source, double damage)` Gathers and applies armor reduction to damage being dealt to a entity.
    `int` | `compareTo(ISpecialArmor.ArmorProperties o)`
    `ISpecialArmor.ArmorProperties` | `copy()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### Priority

          public int Priority

    - #### AbsorbMax

          public int AbsorbMax

    - #### AbsorbRatio

          public double AbsorbRatio

    - #### Slot

          public int Slot

  - ### Constructor Detail

    - #### ISpecialArmor.ArmorProperties

          public ISpecialArmor.ArmorProperties(int priority,
                                       double ratio,
                                       int max)

  - ### Method Detail

    - #### ApplyArmor

          public static float ApplyArmor(EntityLivingBase entity,
                         ItemStack[] inventory,
                         DamageSource source,
                         double damage)

      Gathers and applies armor reduction to damage being dealt to a entity.
      Parameters:
        `entity` - The Entity being damage
        `inventory` - An array of armor items
        `source` - The damage source type
        `damage` - The total damage being done
      Returns:
        The left over damage that has not been absorbed by the armor

    - #### compareTo

          public int compareTo(ISpecialArmor.ArmorProperties o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<ISpecialArmor.ArmorProperties>`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### copy

          public ISpecialArmor.ArmorProperties copy()